Bug 107056 - Deadlock after saving settings
Deadlock after saving settings
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Settings
6.x
All Linux
: P1 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
: THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 17:32 UTC by pzajac
Modified: 2007-11-05 13:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Threads dump (33.40 KB, text/plain)
2007-06-18 17:33 UTC, pzajac
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pzajac 2007-06-18 17:32:04 UTC
20070618
I opened settings,changed kyeboard mapping to nb55 and closed settings...


"Default RequestProcessor":
        at org.netbeans.modules.editor.impl.CustomizableSideBar$MyLookupListener.resultChanged(CustomizableSideBar.java:372)
        - waiting to lock <0x9765c7d0> (a java.util.WeakHashMap)
        at org.openide.util.lookup.AbstractLookup.notifyListeners(AbstractLookup.java:446)
        at org.openide.util.lookup.AbstractLookup.notifyCollectedListeners(AbstractLookup.java:324)
....
       at org.openide.filesystems.StreamPool$NotifyOutputStream.close(StreamPool.java:355)
        at org.netbeans.modules.editor.options.MIMEOptionFile.saveSettings(MIMEOptionFile.java:184)
        - locked <0xa6b76a80> (a java.lang.Class)
        at org.netbeans.modules.editor.options.PropertiesMIMEOptionFile.updateSettings(PropertiesMIMEOptionFile.java:250)
        - locked <0xa6b76a80> (a java.lang.Class)
        at org.netbeans.modules.editor.options.BaseOptions.updateSettings(BaseOptions.java:1717)
....
"AWT-EventQueue-1":
        at org.netbeans.editor.Settings.getValue(Settings.java:368)
        - waiting to lock <0xa6b76a80> (a java.lang.Class)
        at org.netbeans.editor.Settings.getValue(Settings.java:332)
        at org.netbeans.editor.GlyphGutter.updateRenderingHints(GlyphGutter.java:191)
        at org.netbeans.editor.GlyphGutter.<init>(GlyphGutter.java:178)
        at org.netbeans.editor.GlyphGutter.createSideBar(GlyphGutter.java:688)
        at org.netbeans.modules.editor.impl.CustomizableSideBar.createSideBarsMap(CustomizableSideBar.java:214)
        at org.netbeans.modules.editor.impl.CustomizableSideBar.getSideBarsInternal(CustomizableSideBar.java:170)
        - locked <0x9765c7d0> (a java.util.WeakHashMap)
        at org.netbeans.modules.editor.impl.CustomizableSideBar.getSideBars(CustomizableSideBar.java:125)
        at org.netbeans.modules.editor.NbEditorUI$2.stateChanged(NbEditorUI.java:185)
...
Comment 1 pzajac 2007-06-18 17:33:13 UTC
Created attachment 43906 [details]
Threads dump
Comment 2 Vitezslav Stejskal 2007-06-19 01:53:50 UTC
Ugly.
Comment 3 Vitezslav Stejskal 2007-06-19 06:02:57 UTC
Should be fixed.

Checking in NbEditorUI.java;
/cvs/editor/src/org/netbeans/modules/editor/NbEditorUI.java,v  <--  NbEditorUI.java
new revision: 1.66; previous revision: 1.65
done
Checking in impl/CustomizableSideBar.java;
/cvs/editor/src/org/netbeans/modules/editor/impl/CustomizableSideBar.java,v  <--  CustomizableSideBar.java
new revision: 1.6; previous revision: 1.5
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo